'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

exports.default = Destroy;
function Destroy(app, className, object) {
  if (!object || (typeof object === 'undefined' ? 'undefined' : _typeof(object)) !== 'object' && typeof object !== 'string') {
    return Promise.reject(new Error('Cannot destroy an invalid object'));
  }
  if ((typeof object === 'undefined' ? 'undefined' : _typeof(object)) === 'object' && !object.objectId) {
    return Promise.reject(new Error('Cannot destroy an unsaved object'));
  }
  var id = typeof object === 'string' ? object : object.objectId;

  return app.client.delete('classes/' + className + '/' + id, null, {}).then(function (_ref) {
    var response = _ref.response;

    return response;
  });
}