'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

exports.default = arrayValueMatches;
/**
 * Determines if two values in an Array field are equal,
 * used for atomic remove / addUnique ops
 */

function arrayValueMatches(a, b) {
  if (a === b) {
    return true;
  }
  if (a && b) {
    if ((typeof a === 'undefined' ? 'undefined' : _typeof(a)) === 'object' && (typeof b === 'undefined' ? 'undefined' : _typeof(b)) === 'object') {
      return a.objectId === b.objectId;
    }
  }
  return false;
}